RepeatMasker Library Help
1
0
Entering edit mode
2.4 years ago

Hi, I'm looking to install RepeatMasker for use with the Maker and/or RepeatModeler programs. I have installed RepeatMasker and will be using rmblast. I have downloaded the libraries from Repbase (GIRI), and run ./configure in the RepeatMasker folder:


Congratulations! RepeatMasker is now ready to use. The program is installed with a the following repeat libraries: Dfam database version Dfam_2.0 RepeatMasker Combined Database: Dfam_Consensus-20170127, RepBase-20181026 Further documentation on the program may be found here: /home/chris/Documents/maker/exe/RepeatMasker/repeatmasker.help

It suggests i'm using Dfam_Consensus 2017-01-27 and RepBase-2018-10-26.

When I try to run:

./RepeatMasker genome.fasta

I get an error:

parseTagData: ID field not to EMBL spec "SNAP-OL2 repeatmasker; DNA; ???; BP. " from DE RepbaseID: SNAP-OL2XX at ./RepeatMasker line 7611.

I'm not sure how to fix this error, as it seems to be a problem with the libraries being generated when configuring RepeatMasker.


I also noticed that when trying to run Repeatmodeler, configuration returns:

WARNING: /home/chris/Documents/maker/exe/RepeatMasker/Libraries/RepeatMasker.lib.[n??] doesn't exist! RepeatModeler will not run correctly without these files. Please re-run /home/chris/Documents/maker/exe/RepeatMasker/configure to create these files automatically. Then re-run this script.

It seems the RepeatMasker.lib file is empty, and configuring RepeatMasker does not change anything.

When I installed the libraries, I unpacked them in the RepeatMasker directory, and seem to have created dfamrepref.embl and RepeatMaskerLib.embl in the libraries directory.

Any help would be greatly appreciated in getting both RepeatMasker (and thus RepeatModeler) up and running!

Thanks, Chris


Additional Info: RepeatMasker Version open-4.0.7 Search engine NCBI/RMBLAST 2.2.27+ Master RepeatMasker Database: /home/chris/Documents/maker/exe/RepeatMasker/Libraries/RepeatMaskerLib.embl ( Complete Database: dc20170127-rb20181026 )

RepeatMasker Library RepBase • 2.7k views
ADD COMMENT
0
Entering edit mode
2.4 years ago

It seems you need to have the same version for both RepBase and Dfam (eg 20181026), or at least this worked for me. I believe it indicates the need to match up the versions and I just missed it.

ADD COMMENT
0
Entering edit mode

I couldn't get RepeatMasker open-4.08 (RepBase 20181026) to work with MAKER 2.31.10 - did you get it to work with MAKER? I could only get RepeatMasker open-4.07 (RepBase 20170127) to work.

ADD REPLY
0
Entering edit mode

I am also working with Maker 2.31.10; I haven't quite gotten to the point of running Maker yet - I will get back to you if I manage to get things running. If not, I'll try Maker with the older RepeatMasker release (RepBase 20170127). I'm likely going to use a custom repeat library (from RepeatModeler), so I will see how this works with Maker.

Chris

ADD REPLY

Login before adding your answer.

Traffic: 1379 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6